Package org.eclipse.emf.cdo.ui

# Class DecoratingStyledLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.jface.viewers.DecoratingLabelProvider
org.eclipse.emf.cdo.ui.DecoratingStyledLabelProvider

All Implemented Interfaces:
  `DelegatingStyledCellLabelProvider.IStyledLabelProvider`, `IBaseLabelProvider`, `IColorProvider`, `IFontProvider`, `ILabelProvider`, `ITreePathLabelProvider`, `IViewerLabelProvider`

public class DecoratingStyledLabelProvider extends DecoratingLabelProvider implements DelegatingStyledCellLabelProvider.IStyledLabelProvider

Since:
  4.15
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`DecoratingStyledLabelProvider(ILabelProvider provider, ILabelDecorator decorator)`

## Method Summary

Modifier and Type
Method
Description
`Image`
`getImage(Object element)`
`StyledString`
`getStyledText(Object element)`
`String`
`getText(Object element)`
`protected void`
`handleException(Exception ex)`

### Methods inherited from class org.eclipse.jface.viewers.DecoratingLabelProvider

`addListener, dispose, getBackground, getDecorationContext, getFont, getForeground, getLabelDecorator, getLabelProvider, isLabelProperty, removeListener, setDecorationContext, setLabelDecorator, updateForDecorationReady, updateLabel, updateLabel`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`fireLabelProviderChanged`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Constructor Details

### DecoratingStyledLabelProvider

public DecoratingStyledLabelProvider(ILabelProvider provider, ILabelDecorator decorator)

## Method Details

### getImage

public Image getImage(Object element)

Specified by:
  `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `DecoratingLabelProvider`

### getText

public String getText(Object element)

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `DecoratingLabelProvider`

### getStyledText

public StyledString getStyledText(Object element)

Specified by:
  `getStyledText` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`

### handleException

protected void handleException(Exception ex)